version: '3'

services:
  mysql:
    build: .docker/mysql
    container_name: 'Giver-MySQL'
    restart: 'always'
    ports:
      - "3386:3306"
    volumes:
      - mysql-data:/var/lib/mysql/
      - .docker/mysql/extra.cnf:/etc/mysql/conf.d/extra.cnf
    environment:
      MYSQL_ROOT_PASSWORD: 123123

  web:
    build: .docker/web
    container_name: 'Giver-Web'
    volumes:
      - .:/var/www/html/app
    ports:
      - '80:8080'
    links:
      - mysql
    depends_on:
      - web-build

  web-build:
    image: web
    build: .docker/web
    container_name: 'Giver-Web-Build'
    volumes:
      - .:/var/www/html/app
    links:
      - mysql
    command: >
      bash -c "cd /var/www/html/app && composer ar"

volumes:
  web-build-node:
  npm-cache:
  mysql-data:
